<?xml version="1.0"?>
<xsl:stylesheet version="2.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:fn="http://www.pageseeder.com/function"
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:dec="java:java.net.URLDecoder" xmlns:enc="java:java.net.URLEncoder"
exclude-result-prefixes="saxon fn dec enc">

 
	<xsl:function name="fn:getdocumentpath" as="xs:string">
	<!-- link href="{$site}/ps/page/{$group-name}/path/{$path}/{$documentTitle}"-->
		<xsl:param name="site"/>
		<xsl:param name="group-name"/>
		<xsl:param name="path"/>
		<xsl:param name="documentTitle"/>
		<xsl:value-of select="concat($site,'/ps/page/',$group-name,'/path/',$path,'/',$documentTitle)"/>
	</xsl:function>
	
	<xsl:function name="fn:getdocumenttitle" as="xs:string">
		<xsl:param name="prefix"/>
		<xsl:param name="subDocId"/>
		<xsl:value-of select="concat($prefix,'_',format-number($subDocId,'000'),'.xml')"/>
		<!-- 
		<xsl:param name="heading" />
		<xsl:choose>
			<xsl:when test="$heading='front'">
				<xsl:value-of select="concat($file,'-',$subDocId,'-front','.xml')"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="concat($file,'-',$subDocId,'-',$heading,'.xml')"/>
			</xsl:otherwise>
		</xsl:choose>
		 -->
	</xsl:function>
	
</xsl:stylesheet>
